Bug 123038 - gtk2-devel depends on XFree86-devel, not xorg-x11-devel
gtk2-devel depends on XFree86-devel, not xorg-x11-devel
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2004-05-11 13:15 EDT by Dylan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-20 13:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dylan 2004-05-11 13:15:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I am using Fedora Core 2 Test 3 CDs.  I attempted to install
gtk2-devel and it demands XFree86-devel.  I could not find this
package in the CDs, so I tried installing xorg-x11-devel.  gtk2-devel
stopped demanding XFree86-devel after installing xorg-x11-devel.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start with Fedora 2 Test 3 without gtk2-devel or xorg-x11-devel (or
XFree86-devel) installed
2. try to install gtk2-devel - notice it demands XFree86-devel
3. install xorg-x11-devel
4. try to install gtk2-devel - notice it doesn't demand XFree86-devel
any more

Actual Results:  The demand for XFree86-devel is confusing.

Expected Results:  Gtk2-devel should demand xorg-x11-devel instead.

Additional info:
Comment 1 Matthias Clasen 2004-05-20 13:34:57 EDT
Depending on XFree86-devel is currently the recommended approach to
this problem (according to Mike Harris, who maintains the X packages)

Note You need to log in before you can comment on or make changes to this bug.